//Provided by Grotius d.d. 9-6-2019
//GPL2

//PROGRAM PURPOSE :
//QT OpenGL example how to draw a horizontal line by clicking a button in a custom QT C++ gui.
//
//PROGRAM INFO :
//2. glOrtho(-10, 10, -10, 10, -1.0, 3.5);          (changing this value's will provide zoom in and zoom out function's)
//3. auto dv = new QDoubleValidator(0.0, 5.0, 2);   (will result that the text entry box can only be used for typing in float value's instead of characters)
//4. compatible with the latest OpenGLWidget, compatible with QT version 5.12.2
//5. have fun to expand this code to your needs, and give code back once in a while, that is what GPL2 is all about.

#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "oglwidget.h"
#include <QDebug>
#include <QString>
#include <stdio.h>
#include <QWidget>
#include <QOpenGLWidget>
#include <QtOpenGL>

int z = 5;
GLfloat linelenght;

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pushButton_clicked()
{
    linelenght = ui->lineEdit->text().toFloat();            //the text input label is a text, but we convert it directly to float.
    qDebug() << linelenght;                                 //print the output in the console.
}

void MainWindow::on_lineEdit_textEdited(const QString &arg1)
{
    auto dv = new QDoubleValidator(0.0, 5.0, 2);            // set the text entry label valid for float input only, [0, 5] with 2 decimals of precision
    ui->lineEdit->setValidator(dv);
}
