#include "open.h"
#include "ui_open.h"
#include <QFileDialog>

#include <QApplication>
#include <QDesktopWidget>
#include <QFileSystemModel>
#include <QFileIconProvider>
#include <QTreeView>
#include <QCommandLineParser>
#include <QCommandLineOption>
#include <QDir>

#include <QString>
#include <QDebug>
#include <QModelIndex>

Open::Open(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::Open)
{
    ui->setupUi(this);
    //setup the header file first..
    QString sPath = "C:/";
    dirmodel = new QFileSystemModel(this);
    dirmodel->setRootPath(sPath);
    dirmodel->setFilter(QDir::NoDotAndDotDot | QDir::AllDirs);
    ui->dirview->setModel(dirmodel);
    ui->dirview->hideColumn(1);
    ui->dirview->hideColumn(2);
    ui->dirview->hideColumn(3);

    filemodel = new QFileSystemModel(this);
    filemodel->setFilter(QDir::NoDotAndDotDot | QDir::Files);
    ui->fileview->setModel(filemodel);
    ui->fileview->hideColumn(1);
    ui->fileview->hideColumn(2);
    ui->fileview->hideColumn(3);

}

Open::~Open()
{
    delete ui;
}

void Open::on_buttonBox_rejected()
{
    this->close();
}

void Open::on_buttonBox_accepted()
{


}

void Open::on_dirview_clicked(const QModelIndex &index)
{
    //https://www.youtube.com/watch?v=92biLZST6Vg
    QString sPath = dirmodel->fileInfo(index).absoluteFilePath();
    ui->fileview->setRootIndex(filemodel->setRootPath(sPath));

}
